nn.pp.core

## Interface INotificationEvent

- All Known Implementing Classes:
    NotificationEvent

      public interface INotificationEvent

  An event that is sent from the KX to the client.

  This event is generic and is used for all types of protocol handlers used by the KX.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `INotificationEvent.Severity` The severity of the event

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `INotificationEvent` | `clone()` Create a clone of this event
    `int` | `getErrorCode()` Get the complete error code associated with this event
    `int` | `getGroupId()` Get the group ID associated with this event
    `java.lang.String` | `getMessage()` Get a verbose message string associated with this event
    `int` | `getMessageGroupErrorCode()` Get the error number in the message group
    `int` | `getMessageGroupId()` Get the ID of the message group
    `INotificationEvent.Severity` | `getSeverityType()` Get the severity of this event
    `boolean` | `isClientGeneratedError()` Is the event generated by the client or the KX?
    `boolean` | `isDebug()` Is this a debug event?
    `boolean` | `isError()` Is this an error event?
    `boolean` | `isInfo()` Is this an info event?
    `boolean` | `isMSP()` Is this a MSP protocol event?
    `boolean` | `isQuit()` Is this an "quit" event?
    `boolean` | `isRFB()` Is this a RFB protocol event?
    `boolean` | `isWarning()` Is this an warning event?

- - ### Method Detail

    - #### getErrorCode

          int getErrorCode()

      Get the complete error code associated with this event
      Returns:
        the error code

    - #### getGroupId

          int getGroupId()

      Get the group ID associated with this event
      Returns:
        the error group

    - #### getMessageGroupErrorCode

          int getMessageGroupErrorCode()

      Get the error number in the message group
      Returns:
        the error number in the message group

    - #### getMessageGroupId

          int getMessageGroupId()

      Get the ID of the message group

      This is a sub-group within the groups, e.g. for Rfb events, this may be "switching", "authentication" or "mass storage".

      Returns:
        the ID of the message group

    - #### isDebug

          boolean isDebug()

      Is this a debug event?
      Returns:
        true if this is a debug event, false otherwise

    - #### isError

          boolean isError()

      Is this an error event?
      Returns:
        true if this is a error event, false otherwise

    - #### isWarning

          boolean isWarning()

      Is this an warning event?
      Returns:
        true if this is a warning event, false otherwise

    - #### isInfo

          boolean isInfo()

      Is this an info event?
      Returns:
        true if this is a info event, false otherwise

    - #### isQuit

          boolean isQuit()

      Is this an "quit" event?

      That means, the event is so severe that the client connection can no longer work. The client is supposed to quit the connection

      Returns:
        true if this is a "quit" event, false otherwise

    - #### isClientGeneratedError

          boolean isClientGeneratedError()

      Is the event generated by the client or the KX?
      Returns:
        true if generated by the client, false if generated by the KX

    - #### getSeverityType

          INotificationEvent.Severity getSeverityType()

      Get the severity of this event
      Returns:
        the severity of this event

    - #### getMessage

          java.lang.String getMessage()

      Get a verbose message string associated with this event
      Returns:
        the error message

    - #### isRFB

          boolean isRFB()

      Is this a RFB protocol event?
      Returns:
        true if this is a RFB protocol event, false otherwise

    - #### isMSP

          boolean isMSP()

      Is this a MSP protocol event?
      Returns:
        true if this is a MSP protocol event, false otherwise

    - #### clone

          INotificationEvent clone()

      Create a clone of this event
      Returns:
        the clone of this event

Copyright © 2025 Raritan Inc. All Rights Reserved.